Subject: [PATCH] ARM: Gemini: Add support for PCI Bus

From: [email-masked] (Arnd Bergmann)
Date: Tue, 30 Nov 2010 17:19:02 +0100

On Tuesday 30 November 2010, Russell King - ARM Linux wrote:
> No, the above is correct.  What I was talking about was the difference
> between these:
> 
> config PCI
>         bool "PCI support" if MIGHT_HAVE_PCI
> 
> and
> 
> config PCI
>         bool "PCI support"
>         depends on MIGHT_HAVE_PCI
> 
> In the first instance, PCI itself does not depend on MIGHT_HAVE_PCI.
> MIGHT_HAVE_PCI controls whether the user is offered the "PCI support"
> option.
> 
> In the second instance, PCI depends on MIGHT_HAVE_PCI, which must be
> set to 'y' to offer the option and also if PCI is selected.

Right, I misread the patch as doing the wrong thing, thanks for
clearing that up.

> We want the first behaviour.  Platforms which must have PCI support can
> continue to select PCI as they currently do, and leave the MIGHT_HAVE_PCI
> option alone.
> 
> Platforms which may optionally have PCI support should select
> MIGHT_HAVE_PCI instead.

Yes, that sounds good.

	Arnd